%define name	opengroupware-tools
%define version	1.0
%define cvs	20040523
%define release	%{cvs}.1mdk

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     OpenGroupware.org Tools
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL:	     http://www.opengroupware.org
Group:       Networking/Other
Prefix:      %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-objc opengroupware-gstep-make
Source:      opengroupware.org-tools-%{cvs}.tar.bz2
BuildRequires:    opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation-devel opengroupware-env
BuildRequires: gcc-objc
BuildRequires: opengroupware-core-devel
BuildRequires: opengroupware-logic-devel
BuildRequires: opengroupware-gstep-db-devel
BuildRequires: opengroupware-docapi-devel

%description
This package contains some tools for the OpenGroupware.org system.

%package project
Summary: OpenGroupware.org project tools
Group:   Networking/Other
Requires: opengroupware-gstep-make

%description project
OpenGroupware.org project tools

%package aptnotify
Summary:  OpenGroupware.org Appointment Notify Tool
Group:    Networking/Other
Requires: opengroupware-gstep-make

%description aptnotify
This package contains the tool needed for appointment notification.

%package installsieve
Summary:  OpenGroupware.org Sieve Filter Install Tool
Group:    Networking/Other
Requires: opengroupware-gstep-make

%description installsieve
This package contains the tool for setting up Sieve filters.

%package account
Summary:  OpenGroupware.org Account Manipulation Tools
Group:    Networking/Other
Requires: opengroupware-gstep-make

%description account
This package contains some tools for adding/deleting accounts from the
shell.

%package bulkmessages
Summary: OpenGroupware.org bulkmessage tools
Group:   Networking/Other
Requires: opengroupware-gstep-make

%description bulkmessages
OpenGroupware.org bulkmessage tools

%prep

%setup -q -n opengroupware.org-tools

%build
source %{prefix}/OpenGroupware.org.sh
make -s debug=yes strip=yes all


%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org

make debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B WOBUNDLE_INSTALL_DIR=$B

rm -rf $RPM_BUILD_ROOT/%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/sky_send_bulk_messages \
       $RPM_BUILD_ROOT/%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skyjobs2ical \
       $RPM_BUILD_ROOT/%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skyprojectexporter \
       $RPM_BUILD_ROOT/%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skyprojectimporter


%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
   RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil

%clean
rm -rf $RPM_BUILD_ROOT

%files project
%defattr(-,root,root,-)
%dir %{prefix}/Tools
%dir %{prefix}/Tools/%{dirarch}
%dir %{prefix}/Tools/%{dirarch}/linux-gnu
%dir %{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skydefaults
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skylistprojects
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skyruncmd

%files aptnotify
%defattr(-,root,root,-)
%dir %{prefix}/Tools
%dir %{prefix}/Tools/%{dirarch}
%dir %{prefix}/Tools/%{dirarch}/linux-gnu
%dir %{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skyaptnotify

%files account
%defattr(-,root,root,-)
%dir %{prefix}/Tools
%dir %{prefix}/Tools/%{dirarch}
%dir %{prefix}/Tools/%{dirarch}/linux-gnu
%dir %{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/sky_del_account
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/sky_add_account
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/sky_get_login_names

%files installsieve
%defattr(-,root,root,-)
%dir %{prefix}/Tools
%dir %{prefix}/Tools/%{dirarch}
%dir %{prefix}/Tools/%{dirarch}/linux-gnu
%dir %{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/sky_install_sieve

%files bulkmessages
%defattr(-,root,root,-)
%dir %{prefix}/Tools
%dir %{prefix}/Tools/%{dirarch}
%dir %{prefix}/Tools/%{dirarch}/linux-gnu
%dir %{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/sky_install_procmail
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skycheckperm
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skylistacls

%changelog
* Mon May 24 2004 Spencer Anderson <sdander@oberon.ark.com> 1.0-20040523.1mdk
- 20040523

* Fri Feb 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-20040204.2mdk
- Own dir
- add missing BuildRequires
- don't hardcore arch in path

* Thu Feb 12 2004 Spencer Anderson <sdander@oberon.ark.com> 1.0-20040204.1mdk
- 20040204

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-20031201.1mdk
- new snapshot - bugfixes
- remove redundant tools

* Sun Oct 5 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-20031001.1mdk
- new module
- first Mandrake release


